
#ifndef H_SFL_SOUND_INTERNAL_
#define H_SFL_SOUND_INTERNAL_

#ifdef __cplusplus
extern "C" {
#endif

#include "sflSound.h"

struct sflSound_t {
	void **vptr;
};

enum {
	SFL_SOUND_READ,
	SFL_SOUND_SEEK,
	SFL_SOUND_TELL,
	SFL_SOUND_CLOSE,
	SFL_SOUND_CLONE,
};

int sflSoundConstruct(sflSound *self);
void sflSoundDestruct(sflSound *self);

#ifdef __cplusplus
}
#endif

#endif

